Page MenuHomePhabricator

AstroPay donors all sent to fail page
Closed, ResolvedPublic1 Story Points

Description

The 'pending' queue on production is still configured to go to ActiveMQ, which doesn't support deletion. When we deployed a patch that tried to delete from that queue, the AstroPay result switcher started throwing a 'not supported' exception for every returning donor, which sends them to the fail page (or should; see T108041)

https://gerrit.wikimedia.org/r/229394

Event Timeline

Ejegg created this task.Aug 5 2015, 4:53 PM
Ejegg claimed this task.
Ejegg raised the priority of this task from to Unbreak Now!.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2015, 4:53 PM
Ejegg set Security to None.
Ejegg edited a custom field.

Change 229435 had a related patch set uploaded (by Ejegg):
Catch specific exception in deleteLimboMessage

https://gerrit.wikimedia.org/r/229435

Change 229435 merged by jenkins-bot:
Catch specific exception in deleteLimboMessage

https://gerrit.wikimedia.org/r/229435

Ejegg closed this task as Resolved.Aug 6 2015, 9:55 PM
Ejegg moved this task from Pending Deployment to Done on the Fundraising Sprint Queen board.
DStrine edited a custom field.Aug 18 2015, 3:36 PM
DStrine edited a custom field.Aug 18 2015, 5:24 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 10 2016, 11:46 PM
Restricted Application added a subscriber: Jay8g. · View Herald TranscriptJan 11 2018, 9:40 PM